Đến nội dung


Hình ảnh

Làm sao để chỉnh bé kích thước cái mũi tên này !


  • Please log in to reply
34 replies to this topic

#1 girl

girl

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 01 November 2011 - 09:34 AM

Em muốn chỉnh kích thước của cái mũi tên, nhưng ko chỉnh được. Mong các anh cao thủ nghiên cứu giúp em với ạ
http://www.cadviet.c...s/3/yeu_cau.dwg
  • 0

#2 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 01 November 2011 - 09:55 AM

Mũi tên của bạn tạo từ lệnh PL (PLINE), không phải là lệnh LE (LEADER), bạn muốn to nhỏ K lần thì bạn dùng lệnh SC (scale).
  • 0

#3 thienhash2705

thienhash2705

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 November 2011 - 10:04 AM

Mũi tên của bạn tạo từ lệnh PL (PLINE), không phải là lệnh LE (LEADER), bạn muốn to nhỏ K lần thì bạn dùng lệnh SC (scale).

Đúng rồi
  • 0

#4 doanvantien86

doanvantien86

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 01 November 2011 - 10:33 AM

Tạo một style mới cho kích thước mũi tên to lên. rùi cho đường đó vào style đó là ok.
  • 0

#5 girl

girl

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 01 November 2011 - 10:33 AM

Đúng rồi

hic. Scale thì nói làm gì ạ ? vì nó có cả 1000 đối tượng. Ngồi scale đến bao h ạ ? hic !
  • 0

#6 soluuhuong2903

soluuhuong2903

    biết vẽ rectang

  • Members
  • PipPip
  • 87 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 01 November 2011 - 11:06 AM

hic. Scale thì nói làm gì ạ ? vì nó có cả 1000 đối tượng. Ngồi scale đến bao h ạ ? hic !

Bạn nói thế thì chịu.Mọi người đã đưa ra phương án khả thi nhất theo đúng yêu cầu của bạn rùi đó.Không phải LE cũng không phải Block nên đừng nói là 1000 chứ 1 triệu cái cũng thế.
  • 0

#7 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 01 November 2011 - 11:50 AM

Em muốn chỉnh kích thước của cái mũi tên, nhưng ko chỉnh được. Mong các anh cao thủ nghiên cứu giúp em với ạ
http://www.cadviet.c...s/3/yeu_cau.dwg

Chào bạn Girl
Thứ nhất là Tue_NV chưa hiểu ý bạn mũi tên đó bạn chỉnh như thế nào?

Có 1 cách là bạn quét chọn các mũi tên -> Bấm Ctrol+1
-> vào thông số End segment width -> Chỉnh lại thông số này ->

Không biết Tue_NV hiểu như vậy đúng ý bạn không? Nếu chưa đúng -> Phiền bạn post cái mũi tên sau khi chỉnh sửa của bạn lên đây và nói rõ ra nhé!


Bạn nói thế thì chịu.Mọi người đã đưa ra phương án khả thi nhất theo đúng yêu cầu của bạn rùi đó.Không phải LE cũng không phải Block nên đừng nói là 1000 chứ 1 triệu cái cũng thế.

Scale là 1 phương án -> Nhưng không khả thi vì ... nhiều quá. cái nữa là nó làm mũi tên dài ra -> trong khi User không muốn nó dài ra thì sao. Cũng chiều dài mũi tên như thế -> nhưng User muốn cái đầu mũi tên nó To lên thôi.
Túm lại Scale là phương án bất khả thi. Còn có các phương án khác hay hơn nữa bạn soluuhuong2903 à
  • 0

#8 truongngocdat

truongngocdat

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 November 2011 - 12:35 PM

Em muốn chỉnh kích thước của cái mũi tên, nhưng ko chỉnh được. Mong các anh cao thủ nghiên cứu giúp em với ạ
http://www.cadviet.c...s/3/yeu_cau.dwg

kich vao mui ten la no hien ra bang hcon kich thuoc mui ten yh ma!
  • 0

#9 girl

girl

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 01 November 2011 - 01:53 PM

mình kích vào mũi tên nhưng nó có hiện lên cái bảng nào đâu ! vấn đề là làm sao mà chỉnh được cái mũi tên đó bé lại một cách công nghiệp ( tức là áp dụng 1 phát cho 1000 cái được ý ạ ) , có thể cho ngắn đi 1 chút cũng ko sao ! không bit có cao thủ nào có cao kiến j ko ạ !
  • 0

#10 soluuhuong2903

soluuhuong2903

    biết vẽ rectang

  • Members
  • PipPip
  • 87 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 01 November 2011 - 02:34 PM

Có 1 cách là bạn quét chọn các mũi tên -> Bấm Ctrol+1
-> vào thông số End segment width -> Chỉnh lại thông số này ->

Nhưng mà bác Tue_NV ơi, ctrl_1 sau khi chọn hết các mũi tên cũng ko xuất hiện thông số End segment width đâu cả.Vậy vẫn phải thủ công từng cái.ái chà
  • 0

#11 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 01 November 2011 - 02:35 PM

Nếu mũi tên anh vẽ bằng lệnh LE vào Dimension Style chỉnh lại to nhỏ dài ngắn thỏa mái hiên hàng tỷ triệu cái cũng có thể sửa xong trong giây lát. Còn nếu mũi tên anh vẽ kiểu tùy tiện không theo một nguyên tắc nào thì hãy đợi đấy!
Chỉ còn cách scale từng cái một cho tới hết đời cũng chưa xong! Đùa anh tí, đừng "rận" nhế! HI hi...
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#12 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 01 November 2011 - 04:44 PM

Nếu mũi tên anh vẽ bằng lệnh LE vào Dimension Style chỉnh lại to nhỏ dài ngắn thỏa mái hiên hàng tỷ triệu cái cũng có thể sửa xong trong giây lát. Còn nếu mũi tên anh vẽ kiểu tùy tiện không theo một nguyên tắc nào thì hãy đợi đấy!
Chỉ còn cách scale từng cái một cho tới hết đời cũng chưa xong! Đùa anh tí, đừng "rận" nhế! HI hi...

Hề hề hề,
Hổng có "Rận" đâu, chỉ có "Chí" thôi, mà là Chí phèo ấy.
Hề hề hề, có khi chơi kiểu củ chuối lại nhanh ra phết bác ạ. Vẽ lại một thằng theo ý thích rùi copy liên lục chúng đè lên các thằng khác mà muốn thay. Hình như trên diễn đàn đã có cái vụ copy liên tục này rùi.
Mặc dầu làm cho bản vẽ thêm chút kí lô nhưng mà chả phải nghĩ ngợi chi cho mệt hỉ.... Chuối mà lị....
Hề hề hề,....
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#13 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 01 November 2011 - 05:51 PM

Mũi tên ấy vẽ bằng lệnh Pl , có thể sửa lại vài cái theo cách là của anh Tuệ rồi copy liên tục cách của bác Bình cũng nhanh. Nhưng nếu là em thì em dùng lệnh LE vẽ lại toàn bộ hay hơn tuy có lâu nhưng ngày sau có đổi ý, việc sửa lại cũng sướng hơn bác ạ!
Hi hi ...hình như bác Bình nói đến bài viết này:
lệnh copy liên tục trong autocad 2004 :

http://www.cadviet.c...showtopic=23054
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#14 girl

girl

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 02 November 2011 - 07:14 AM

hức. Cái mũi tên này là do chương trình NOVA chạy ra chứ em có vẽ đâu ạ ? Bác siêu cao thủ nào xử giúp em vụ này với, EM nguyện sẽ đi theo phò tá anh ý luôn. hí hí
  • 0

#15 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 02 November 2011 - 07:56 AM

Sang mục Yêu cầu lisp nhờ các bạn bên đó viết dùm cái lisp chuyển end segment width của segment 1 của 2DPolyline từ 0.18 về bao nhiêu đó thì cho nhập vào, nhập đến chừng nào vừa ý thì thôi.
Goodluck!
  • 0

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#16 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 02 November 2011 - 02:55 PM

hức. Cái mũi tên này là do chương trình NOVA chạy ra chứ em có vẽ đâu ạ ? Bác siêu cao thủ nào xử giúp em vụ này với, EM nguyện sẽ đi theo phò tá anh ý luôn. hí hí

Hi, mình cũng tập tành viết cái lisp mong là có ích cho bạn.
Nguyên lý hoạt động là bạn phải chọn những thằng mũi tên, rồi lisp sẽ thay thế các mũi tên này bằng một block. trong file mình gửi đây là block có tên Girl, hình dạng thì mình scale mũi tên nhỏ chút xíu, bạn có thể chỉnh sửa cái block này theo dúng ý bạn. bạn cũng có thể thay đổi tên block nhưng lúc này bạn phải thay đổi luôn tên trong lisp nhá!
đây là file cad có block Gilr là cái mũi tên màu đỏ nha:
http://www.mediafire..._cau%5B2%5D.dwg

(defun c:ic (/ dt sdt ent id ang p1 p2 os)
(setq dt (ssget)
sdt (sslength dt)
id 0
os (getvar "osmode"))
(command "undo" "be")
(setvar "osmode" 0)
(repeat sdt
(setq ent (ssname dt id)
id (1+ id)
p1 (vlax-curve-getPointAtParam ent 0)
p2 (vlax-curve-getPointAtParam ent 1)
ang (/(*(angle p1 p2)180)pi)
)
(command "insert" "Girl" p1 "1" "" ang)
(entdel ent)
)
(setvar "osmode" os)
(command "undo" "end")
)

  • 0
Hình đã gửi

#17 hoa dai nhan

hoa dai nhan

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 50 (tàm tạm)

Đã gửi 02 November 2011 - 03:05 PM

Tóm lại vẫn phải thủ công chọn từng cái một. Vậy là thôi rồi, 1000 cái cơ mà. chịu khó làm thủ công vậy Girl nhé.
  • 0

#18 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 02 November 2011 - 03:06 PM

Để chọn những "Mũi tên vàng" dễ dàng, bạn có thể xài lisp sau. và chú ý là gõ lệnh sw xong, chọn một mũi tên màu vàng, lisp sẽ chọn cho bạn những mũi tên giống nhau. sau đó gõ liếp lệnh ic

(defun c:sw(/ aaa ls dt dt1 sdt sdt1 ent ent1 id id1)
(setq AAA(SSGET)
sdt (sslength AAA)
id 0
dt (ssadd)
)
(repeat sdt;;repeat1
(setq ent (ssname AAA id)
id (1+ id)
);;setq
(setq ls (entget ent))
(if (= (cdr (assoc 0 ls)) "INSERT")
(get-block ent)
(setq dt1(ssget"all"(list(assoc 0 ls) (assoc 8 ls))))
);;if
(setq sdt1 (sslength dt1)
id1 -1)
(while (setq ent1(ssname dt1 (setq id1 (1+ id1))))
(setq dt (ssadd ent1 dt))
);;While
(sssetfirst dt dt)
);;repeat1
(princ (strcat "\nco " (rtos (sslength dt)) " doi tuong." ))
(princ)
)
;;;;;;;;;;;;;;;;;;;;;;;;
(defun get-block(entm / sdtb idb ent2 entb dtm namem name BBB entb)
(setq dtm (vlax-ename->vla-object entm))
(setq namem (if(vlax-property-available-p dtm 'effectivename)
(vla-get-effectivename dtm)
(vla-get-name dtm)
));;;
(setq BBB(SSGET "all" (list(cons 0 "INSERT") (assoc 8 (entget entm))))
sdtb (sslength BBB)
idb 0
dt1 (ssadd)
)
(repeat sdtb;;repeat1
(setq entb (ssname BBB idb)
idb (1+ idb)
)
(setq ent2(vlax-ename->vla-object entb))
(setq name (if(vlax-property-available-p ent2 'effectivename)
(vla-get-effectivename ent2)
(vla-get-name ent2)
))
(if (= name namem)
(setq dt1 (ssadd entb dt1))
)
)
)

  • 0
Hình đã gửi

#19 truongngocdat

truongngocdat

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 November 2011 - 06:56 PM

mình kích vào mũi tên nhưng nó có hiện lên cái bảng nào đâu ! vấn đề là làm sao mà chỉnh được cái mũi tên đó bé lại một cách công nghiệp ( tức là áp dụng 1 phát cho 1000 cái được ý ạ ) , có thể cho ngắn đi 1 chút cũng ko sao ! không bit có cao thủ nào có cao kiến j ko ạ !

the chu di ma tu tu di!chu dang choi lai moi n do!
  • 0

#20 ttvahtl

ttvahtl

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 November 2011 - 09:23 PM

xin các pro chỉ giáo. Em vừa nhập diễn đàn nên không biết cách post bài lên như thế nào. Xin mọi người chỉ giáo
  • 0